#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xCE,0x3A,0x8C,0xB6,0x9E,0xE8,0xE7,0x9A,0xDB,0x33,0x48,0x71,
		0x56,0xBB,0x2C,0x69,0x8E,0x74,0x7B,0xD7,0xBB,0x5D,0x2D,0x24,
		0xDD,0x4D,0xF9,0xCE,0x49,0x38,0xE3,0xEB,0x85,0xE2,0xA6,0x2F,
		0x64,0x0E,0xC0,0xE6,0x6A,0xB1,0xA2,0x62,0x01,0xB7,0xE4,0xC1,
		0xDB,0x8D,0x00,0x21,0x70,0xD5,0x8B,0x18,0x63,0xB2,0x3F,0x57,
		0x2E,0x51,0x0B,0xE3,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
